Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Interface Microcontroller.Pin.Output

All Known Implementing Classes:
  CC1000Radio.SerialConfigurationInterface.PCLKOutput, CC1000Radio.SerialConfigurationInterface.PDATAOutput, Mica.LED, Mica2.LED

Enclosing interface:
  Microcontroller.Pin

public static interface Microcontroller.Pin.Output

The `Output` interface represents an output pin. When the pin is configured to be an output and the microcontroller attempts to wrote to this pin, the installed instance of this interface will be called.

Method Summary
`void` | `disableOutput()` The `disableOutput()` method is called by the simulator when the program changes the direction of the pin.
`void` | `enableOutput()` The `enableOutput()` method is called by the simulator when the program changes the direction of the pin.
`void` | `write(boolean level)` The `write()` method is called by the simulator when the program writes a logical level to the pin.

Method Detail

### enableOutput

    public void enableOutput()

  The `enableOutput()` method is called by the simulator when the program changes the direction of the pin. The device connected to this pin can then take action accordingly.

### disableOutput

    public void disableOutput()

  The `disableOutput()` method is called by the simulator when the program changes the direction of the pin. The device connected to this pin can then take action accordingly.

### write

    public void write(boolean level)

  The `write()` method is called by the simulator when the program writes a logical level to the pin. The device can then take the appropriate action.

  Parameters:
    `level` - a boolean representing the logical level of the write

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD